## swift 2.26.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.25.0                        # MIT
greenlet>=0.3.2
netifaces>=0.8,!=0.10.0,!=0.10.1
PasteDeploy>=1.3.3
lxml>=3.4.1
requests>=2.14.2                        # Apache-2.0
six>=1.10.0
xattr>=0.4;sys_platform!='win32'        # MIT
PyECLib>=1.3.1                          # BSD
cryptography>=2.0.2                     # BSD/Apache-2.0

# For python 2.7, the following requirements are needed; they are not
# included since the requirments-check check will fail otherwise since
# global requirements do not support these anymore.
# Fortunately, these packages come in as dependencies from others and
# thus the py27 jobs still work.
#
# dnspython>=1.15.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
# ipaddress>=1.0.16;python_version<'3.3'  # PSF

=== debian/changelog ===
swift (2.26.0-6) unstable; urgency=medium

  * Switch back to using uwsgi for container and account servers.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2021 18:02:24 +0100

swift (2.26.0-5) unstable; urgency=medium

  * Remove rem-header = Content-Length in the swift-proxy uwsgi config, as
    this makes Glance's "openstack image save" fail.
  * Add Fix__exit__calls.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2021 18:09:52 +0100

swift (2.26.0-4) unstable; urgency=medium

  * Add fix-eventlet-monkey-patching-with-py3.7.patch.
  * Set threads=12 and listen=100 after running a successful bench with these
    values.
  * Depends on openstack-pkg-tools >= 116~, to make sure swift starts with a
    decent number of workers if the directive can't be found.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2020 17:15:09 +0100

swift (2.26.0-3) unstable; urgency=medium

  * Switch the swift-proxy to uwsgi. There's no choice because eventlet monkey
    patching creates deadlocks in thread logging, which leads to frozen
    processes in the proxy.
  * Use openstack-pkg-tools >= 114~ facility to configure uwsgi ip and port.
  * Add set-default-workers-value.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2020 11:22:50 +0100

swift (2.26.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Refresh syslog_log_name.patch.
  * Add Get_unit_tests_passing_on_py39.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 21:00:57 +0200

swift (2.26.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-dnspython from (build-)depends.
  * Removed py3_Work_with_proper_native_string_paths_in_crypto_meta.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2020 14:39:47 +0200

swift (2.25.0-4) unstable; urgency=medium

  * Add missing directive in systemd files (services start before networking,
    and then may just fail because they can't bind):
    - After=network-online.target local-fs.target remote-fs.target 
    - Wants=network-online.target 

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2020 17:12:38 +0200

swift (2.25.0-3) unstable; urgency=medium

  * Add py3_Work_with_proper_native_string_paths_in_crypto_meta.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Aug 2020 09:47:24 +0200

swift (2.25.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 14:22:55 +0200

swift (2.25.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Apr 2020 10:38:46 +0200

swift (2.24.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: Rebased.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.
  * Disable sphinxcontrib.rsvgconverter extension.
  * d/patches/py38_cgi_lost_some_names.patch:
    Drop, applied upstream.
  * d/rules: Remove not needed override_dh_systemd_enable target.

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Mar 2020 16:46:42 +0100

swift (2.23.1-2) unstable; urgency=medium

  * Add upstream patch: py38_cgi_lost_some_names.patch. (Closes: #951987).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 11:55:02 +0100

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 openstack-pkg-tools (>= 116~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-boto,
 python3-boto3,
 python3-coverage,
 python3-cryptography,
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-keystoneclient,
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-mock,
 python3-netifaces,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openssl,
 python3-openstack.nose-plugin,
 python3-openstackclient,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-api-ref (>= 1.0.0),
 python3-os-testr (>= 0.8.0),
 python3-oslosphinx,
 python3-pastedeploy,
 python3-pyeclib,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-swiftclient,
 python3-xattr,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
Homepage: https://github.com/openstack/swift
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-swift
Architecture: all
Section: python
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3-cryptography,
 python3-eventlet (>= 0.25.0),
 python3-greenlet,
 python3-netifaces,
 python3-openssl,
 python3-pastedeploy,
 python3-pyeclib,
 python3-six,
 python3-xattr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 systemd (<< 235~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 logrotate,
 python3-swift (=${binary:Version}),
 rsyslog,
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3 (>= 2.0.18),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 openstack-pkg-tools,
 python3-pastescript,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 uwsgi-plugin-python3 (>= 2.0.18),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-underscore,
 python-os-api-ref-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-drive-audit
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-swift (=${binary:Version}),
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: distributed virtual object store - drive audit
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift drive audit tool.

Package: swift-object
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 python3-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its

=== debian/tests/control ===
Tests: help
Depends:
 swift-account,
 swift-container,
 swift-drive-audit,
 swift-object,
 swift-object-expirer,
 swift-proxy,

Tests: daemons
Depends:
 swift-account,
 swift-container,
 swift-object,
 swift-object-expirer,
 swift-proxy,
 wget,
Restrictions: needs-root, isolation-container

## swift 2.27.0

=== debian/changelog ===
swift (2.27.0-3+deb11u1.2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.
  * Blacklist tests:
    - test.unit.common.middleware.test_tempurl.TestTempURL.test_obj_odd_chars
    - test.unit.common.test_swob.TestRequest.test_401_www_authenticate_is_quoted
    - test.unit.common.test_swob.TestRequest.test_split_path

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Tue, 04 Nov 2025 15:50:42 +0000

swift (2.27.0-3+deb11u1.1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fix swift-proxy uwsgi.ini.
  * Add Add_tempurl_path_prefix_configuration_option.patch.
  * Blacklist test.unit.common.middleware.test_cname_lookup.TestCNAMELookup.
  * Set threads=1 in swift-proxy's uwsgi config.
  * Add s3api_fix_the_copy_of_non-ASCII_objects.patch.
  * Add plugins=transformation_chunked in the default swift-proxy uwsgi config.
  * Remove add-header = Connection: close.
  * Add route-run = chunked: to uwsgi config.
  * Switch back account + container + proxy from uwsgi to Eventlet.
  * Add debian/patches/cname-lookup-dnspython2-compat.patch.
  * Add CVE-2022-47950-stable-wallaby.patch (Closes: #1029200).
  * Add swift-recon-only-query-object-servers-once.patch.
  * Add drive-full-checker.patch.
  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.
  * Exclude tests:
    - common.test_memcached.TestMemcached.test_get_conns_hostname6
    - common.test_memcached.TestMemcached.test_get_conns_v6
    - common.test_memcached.TestMemcached.test_get_conns_v6_default

  [ Philippe SÉRAPHIN ]
  * Add Change_getting_major_minor_of_blkdev.patch.

 -- Philippe SÉRAPHIN <philippe.seraphin@infomaniak.com>  Thu, 29 Jun 2023 16:28:13 +0200

swift (2.27.0-2) unstable; urgency=medium

  * Fixup a better and more consistant /etc/rsyslog.d/swift.conf.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Jun 2021 13:58:24 +0200

swift (2.27.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Get_unit_tests_passing_on_py39.patch applied upstream.
  * Drop fix-eventlet-monkey-patching-with-py3.7.patch that shouldn't be needed
    anymore.
  * Removed Fix__exit__calls.patch applied upstream.
  * Add upstream patches:
    - Only_test_with_and-delimited_query_strings.patch
    - Don_t_require_swift_be_installed_to_have_passing_manager_tests.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Mar 2021 21:06:38 +0100

swift (2.26.0-8) unstable; urgency=medium

  * Kill the autopkgtests. The team has other means of testing swift anyways.
    (Closes: #982788).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Feb 2021 14:11:16 +0100

swift (2.26.0-7) unstable; urgency=medium

  * Fix logging and logrotate to do like all the other OpenStack daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Feb 2021 15:35:07 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export SWIFT_TEST_CONFIG_FILE=$(CURDIR)/debian/swift-test.conf

export PYBUILD_TEST_ARGS=\
	test/unit \
	--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing \
	--exclude-test=test.unit.common.middleware.test_cname_lookup.TestCNAMELookup \
	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_hostname6 \
	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6 \
	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6_default \
	--exclude-test=test.unit.common.middleware.test_tempurl.TestTempURL.test_obj_odd_chars \
	--exclude-test=test.unit.common.test_swob.TestRequest.test_401_www_authenticate_is_quoted \
	--exclude-test=test.unit.common.test_swob.TestRequest.test_split_path
	# --processes=-1

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

# Control if proxy + account + container server should be using UWSGI or not
export DEB_USE_UWSGI=no

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python3-swift.postinst

	set -e ; set -x ; \
	for i in	debian/swift-account.swift-account-auditor.init.in \
			debian/swift-account.swift-account-reaper.init.in \
			debian/swift-account.swift-account-replicator.init.in \
			debian/swift-container.swift-container-auditor.init.in \
			debian/swift-container.swift-container-reconciler.init.in \
			debian/swift-container.swift-container-replicator.init.in \
			debian/swift-container.swift-container-sharder.init.in \
			debian/swift-container.swift-container-sync.init.in \
			debian/swift-container.swift-container-updater.init.in \
			debian/swift-object-expirer.swift-object-expirer.init.in \
			debian/swift-object.swift-object-auditor.init.in \
			debian/swift-object.swift-object.init.in \
			debian/swift-object.swift-object-reconstructor.init.in \
			debian/swift-object.swift-object-replicator.init.in \
			debian/swift-object.swift-object-updater.init.in \
			; do \
		debian/gen-init $$i ; \
	done

	set -e ; set -x ; \
	for i in	debian/swift-proxy.swift-proxy.init \
			debian/swift-account.swift-account.init \
			debian/swift-container.swift-container.init \
			; do \
		if [ $$DEB_USE_UWSGI = "yes" ] ; then \
			cp $$i.in $$i ; \
			cat /usr/share/openstack-pkg-tools/init-script-template >>$$i ; \
			pkgos-gen-systemd-unit $$i.in ; \
		else \
			CONFIG=`echo $$i | cut -d/ -f2 | cut -d. -f1 | sed -e s/swift-//`-server debian/gen-init $$i.in ; \
		fi ; \
	done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

	dh_auto_install

	rm debian/tmp/usr/bin/swift-init

override_dh_installinit:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.init))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installinit --error-handler=true -p$$PKG --name=$$NAME ;\
	done

override_dh_installsystemd:
	set -e ; set -x ; \
	for FILE in $(sort $(patsubst debian/%,%,$(wildcard debian/*.service))) ; do \
		PKG=`echo $$FILE | cut -d. -f1` ; \
		NAME=`echo $$FILE | cut -d. -f2` ; \
		dh_installsystemd -p$$PKG --name=$$NAME ;\
	done

gen-init-configurations:
	echo "Do nothing"

# build with sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	dh_sphinxdoc
endif

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

override_dh_missing:
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## swift 2.28.0

=== debian/changelog ===
swift (2.28.0-7+deb11u2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.
  * Blacklist test:
    - test_cleanup_ondisk_files_commit_window

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 04 Nov 2025 15:48:55 +0000

swift (2.28.0-7+deb11u1) UNRELEASED; urgency=medium

  * Add route-run = chunked: to uwsgi config.
  * UWSGI: increase listen= to 256 for all of: proxy, account & container.
  * Switch back account + container + proxy from uwsgi to Eventlet.
  * Add cname-lookup-dnspython2-compat.patch.
  * Add CVE-2022-47950-stable-xena.patch (Closes: #1029200).
  * Use git mode in debian/watch.
  * Add swift-recon-only-query-object-servers-once.patch.
  * Add Change_getting_major_minor_of_blkdev.patch.
  * Add drive-full-checker.patch.
  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.
  * Exclude tests:
    - common.test_memcached.TestMemcached.test_get_conns_hostname6
    - common.test_memcached.TestMemcached.test_get_conns_v6
    - common.test_memcached.TestMemcached.test_get_conns_v6_default

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:03:31 +0100

swift (2.28.0-6) unstable; urgency=medium

  * Add plugins=transformation_chunked in the default swift-proxy uwsgi config.
  * Remove add-header = Connection: close.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Jan 2022 14:35:09 +0100

swift (2.28.0-5) unstable; urgency=medium

  * Add s3api_fix_the_copy_of_non-ASCII_objects.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Jan 2022 11:09:37 +0100

swift (2.28.0-4) unstable; urgency=medium

  * Set threads = 1 for swift-proxy's uwsgi config.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jan 2022 14:11:04 +0100

swift (2.28.0-3) unstable; urgency=medium

  * Switch account+container-server on a single uwsgi tread, to avoid locks
    with "greenlet.error: cannot switch to a different thread" in the logs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Dec 2021 15:34:45 +0100

swift (2.28.0-2) unstable; urgency=medium

  * Add Add_tempurl_path_prefix_configuration_option.patch.
  * Exclude test.unit.common.middleware.test_cname_lookup.TestCNAMELookup.
  * Add import-Iterable-from-collections.abc.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Nov 2021 15:10:02 +0100

swift (2.28.0-1) unstable; urgency=medium

  * Fixup swift-proxy-server-uwsgi.ini for tempest validation.
  * New upstream release.
  * Refreshed: syslog_log_name.patch.
  * Removed patches applied upstream:
    - Only_test_with_and-delimited_query_strings.patch
    - Don_t_require_swift_be_installed_to_have_passing_manager_tests.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Oct 2021 14:42:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,7 @@
 	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_hostname6 \
 	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6 \
 	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6_default \
-	--exclude-test=test.unit.common.middleware.test_tempurl.TestTempURL.test_obj_odd_chars \
-	--exclude-test=test.unit.common.test_swob.TestRequest.test_401_www_authenticate_is_quoted \
-	--exclude-test=test.unit.common.test_swob.TestRequest.test_split_path
+	--exclude-test=test.unit.obj.test_diskfile.TestECDiskFileManager.test_cleanup_ondisk_files_commit_window
 	# --processes=-1
 
 %:

## swift 2.28.0+git2021090911.5d52afbe4

=== debian/changelog ===
swift (2.28.0+git2021090911.5d52afbe4-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 11:48:51 -0400

swift (2.27.0+git2021072212.4fc567cb2-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 12:35:32 -0400

swift (2.27.0+git2021062816.8e1209d2b-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-online-test.patch: Rebased.
  * d/p/000*-fix-py39-ut-failures.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 16:22:50 -0400

swift (2.27.0-0ubuntu2) hirsute; urgency=medium

  * d/p/000*-fix-py39-ut-failures.patch: Cherry-picked from upstream
    to fix py39 unit test failures.
  * d/p/skip-failing-py39-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Mar 2021 08:02:43 -0400

swift (2.27.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/p/skip-failing-py39-tests.patch: Skip tests that fail for py39 on
    upstream and distro.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 12:24:58 -0400

swift (2.26.0+git2021012914.833d7f1d1-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Add PATH with build binary path to test execution, allowing
    unit tests to access swift binaries.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 14:22:33 -0500

swift (2.26.0+git2020121115.36107b4a6-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/p/0001-Get-unit-tests-passing-on-py39.patch: Remove as the fix
    landed upstream.
  * d/p/fix-deployment-guide-header.patch: Remove as patch is no longer needed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Dec 2020 15:35:56 +0000

swift (2.26.0-0ubuntu2) hirsute; urgency=medium

  * d/patches/0001-Get-unit-tests-passing-on-py39.patch: Backport Python 3.9
    fix from upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Nov 2020 13:23:36 +1300

swift (2.26.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:28:49 -0400

swift (2.25.1~git2020091517.f8a9a6e11-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 17:14:38 -0400

swift (2.25.1~git2020073017.d6399b32e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control, d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 17:28:57 -0400

swift (2.25.1~git2020070613.2e001431f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-ipaddress-requirement.patch: Dropped. No longer needed as package
    is Python3-only.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:04:33 -0400

swift (2.25.0-0ubuntu3) groovy; urgency=medium

  * d/t/swift-daemons: Update to give systemd units time to restart.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 25 Jun 2020 11:30:03 +0000

swift (2.25.0-0ubuntu2) groovy; urgency=medium

  [ Chris MacNaughton ]
  * Update to use Systemd unit files (LP: #1827340, LP: #1800676)
    * d/*.init.in: Import init script (systemd) generation from Debian.
    * d/*.upstart: Removed.
    * d/*.init: Removed
    * d/*.generator: Import from Debian.
    * d/*.install: Added reference to generator files
    * d/gen-init: Import from Debian. Remove WorkingDirectory.

  [ James Page ]
  * d/control: Add sphinxdoc:Depends to swift-doc.
  * d/*: wrap-and-sort -bast.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 24 Jun 2020 09:59:02 +0100

swift (2.25.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:47:36 -0400

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders:
 Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 libjerasure2,
 python3-bandit (>= 1.1.0),
 python3-boto (>= 2.32.1),
 python3-boto3 (>= 1.9),
 python3-botocore (>= 1.12),
 python3-cffi,
 python3-coverage (>= 3.6),
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.25.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.11.0),
 python3-keystoneclient (>= 1:2.0.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0),
 python3-netifaces (>= 0.8),
 python3-nose (>= 1.3.7),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.0.0),
 python3-pastedeploy (>= 1.3.3),
 python3-pyeclib (>= 1.3.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testtools,
 python3-xattr (>= 0.4),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
Homepage: https://opendev.org/openstack/swift
Testsuite: autopkgtest-pkg-python

Package: python3-swift
Architecture: all
Section: python
Depends:
 adduser,
 libjerasure2,
 python3-cryptography (>= 2.0.2),
 python3-dnspython (>= 1.15.0),
 python3-eventlet (>= 0.25.0),
 python3-greenlet (>= 0.4.10),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netifaces (>= 0.8),
 python3-pastedeploy (>= 1.3.3),
 python3-pyeclib (>= 1.3.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-xattr (>= 0.4),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Breaks:
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Replaces:
 python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
 swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
Description: distributed virtual object store - Python 3 libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python 3 libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Suggests:
 swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-object
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 python3-swift (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},

## swift 2.28.1

=== debian/changelog ===
swift (2.28.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * New stable point release for OpenStack Xena (LP: #2006534).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Feb 2023 15:11:17 -0500

swift (2.28.0+git2021090911.5d52afbe4-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Sep 2021 16:42:46 +0000
